<?php 
include_once ("_dirinfo.php");

include_once (PATH_TO_ROOT."init.php");
include_once (PATH_TO_ROOT."_ajaxManipulators/_class/class.formData.php");
/*
ini_set('display_errors', 1);
ini_set('error_reporting', E_ALL ^ E_NOTICE);
*/
$db->changeDatabase($_POST['database']);

$tableName = $_POST['RMtable'];
$manipulator = new FormDataManipulator($db,$tableName);
$comm = $_POST['action'].'Action';

if(method_exists($manipulator,$comm))
	echo $manipulator->$comm();
else 
{
	
	Echo '{success:false,error:"Unknown action!"}';	
	
}

?>